MCP Servers

REST endpoints for mcp servers. Bearer-auth required.

POST /api/mcp-servers

Create MCP server

Request body

JSON
{
  "workspaceId": "string",
  "name": "string",
  "url": "string",
  "authType?": "none | api_key | oauth",
  "apiKey?": "string",
  "oauthClientId?": "string",
  "oauthClientSecret?": "string",
  "oauthTokenEndpoint?": "string",
  "oauthAuthorizationEndpoint?": "string",
  "oauthScopes?": "string",
  "headers?": {},
  "connectorId?": "string",
  "connectorConfig?": {}
}

Response

JSON
{
  "id": "string",
  "workspaceId": "string",
  "name": "string",
  "url": "string",
  "authType": "none | api_key | oauth",
  "oauthClientId": "string",
  "oauthTokenEndpoint": "string",
  "oauthAuthorizationEndpoint": "string",
  "oauthScopes": "string",
  "oauthExpiresAt": "string",
  "headers?": "any",
  "connectorId": "string",
  "connectorConfig?": "any",
  "connectorStatus": "connected | disconnected | error | ",
  "createdBy": "string",
  "createdAt": "string",
  "updatedAt": "string"
}

PATCH /api/mcp-servers/{id}

Update MCP server

Path parameters

  • id (required): The MCP server's prefixed ID (e.g. mcp_...).

Request body

JSON
{
  "name?": "string",
  "url?": "string",
  "authType?": "none | api_key | oauth",
  "apiKey?": "string",
  "oauthClientId?": "string",
  "oauthClientSecret?": "string",
  "oauthTokenEndpoint?": "string",
  "oauthAuthorizationEndpoint?": "string",
  "oauthScopes?": "string",
  "headers?": {},
  "connectorId?": "string",
  "connectorConfig?": {}
}

Response

JSON
{
  "id": "string",
  "workspaceId": "string",
  "name": "string",
  "url": "string",
  "authType": "none | api_key | oauth",
  "oauthClientId": "string",
  "oauthTokenEndpoint": "string",
  "oauthAuthorizationEndpoint": "string",
  "oauthScopes": "string",
  "oauthExpiresAt": "string",
  "headers?": "any",
  "connectorId": "string",
  "connectorConfig?": "any",
  "connectorStatus": "connected | disconnected | error | ",
  "createdBy": "string",
  "createdAt": "string",
  "updatedAt": "string"
}